Skip to main content
GET
/
v2
/
account
/
eod
/
trades
/
{trade-id}
Get EoD trade
curl --request GET \
  --url https://api.example.com/v2/account/eod/trades/{trade-id} \
  --header 'Authorization: Bearer <token>'
{
  "trade": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "inputCurrency": "<string>",
    "inputPaymentMethod": "<string>",
    "inputAmount": "<string>",
    "outputCurrency": "<string>",
    "outputPaymentMethod": "<string>",
    "outputAmount": "<string>",
    "basePrice": "<string>",
    "appliedFees": [
      {
        "type": "<string>",
        "description": "<string>",
        "amount": "<string>",
        "currency": "<string>"
      }
    ],
    "quoteTokenId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "settlementTerms": "<string>",
    "settlementDate": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "settledAt": "2023-11-07T05:31:56Z",
    "settlementTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

trade-id
string<uuid>
required

Query Parameters

subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Response

EoD trade detail.

trade
object